
#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/parity.h>
#include <stdint.h>

//#define TC_PARITY	// Wenn definiert, wird der empfangene TC nur bei korrektem Parity akzeptiert

#define	MIN_1	(uint16_t)0xB0C
#define MAX_1	(uint16_t)0x1619
#define MAX_0	(uint16_t)0x2C32

#define TOGGLE_CAPT_EDGE	TCCR1B^=(1<<ICES1)
#define CLEAR_ICF1			TIFR = (1<<ICF1)


void USART0_Init(uint16_t baud);
void usart_putc(uint8_t data);
void init_TIMER1(void);
void addbit (uint8_t bit);

/*************************************/
/*       Variablendefinitionen       */
/*************************************/

volatile uint8_t  tcub[8];		// Timecode *und* Userbits
volatile uint8_t  tc_rdy;		// Timecode Ready Flag

uint8_t pty;


